ECHO OFF
COLOR 9b
CLS
ECHO #This requires that fastboot has been enabled...
ECHO #Starting to flash the radio image...
adb wait-for-device
ECHO #Checking if your device is supported...
ping 1.1.1.1 -n 1 -w 500 > nul
for /f %%i in ('adb shell "getprop ro.build.id | cut -c 5-8"') do set var5=%%i
if not "%var5%"=="M150" (
ECHO #your phone build is not supported!
ping 1.1.1.1 -n 1 -w 1000 > nul
GOTO EXIT
)
ping 1.1.1.1 -n 1 -w 1000 > nul
ECHO #preparing for update...
rem verifies root by calling the help command to see if the su binary is installed
for /f %%i in ('adb shell su -h') do set var12=%%i
if "%var12%"=="su:" (
ECHO not rooted cannot continue
GOTO NR
)
adb shell su -c "rm /mnt/sdcard/ipth_package.bin" > nul
adb push radioUpdate\ipth_package.bin /sdcard/ipth_package.bin
ECHO #rebooting...
adb reboot bootloader
fastboot -i 0x0409 flash boot "bootImage/modded/M150 modded boot.img"
fastboot -i 0x0409 flash recovery "recoveryImage/M150 stock recovery.img"
fastboot -i 0x0409 reboot
ECHO #device prepared, rebooting...
adb wait-for-device
adb shell sleep 1
ECHO #setting phone to update and rebooting...
adb shell "echo '--update_package=SDCARD:ipth_package.bin' >> /cache/recovery/command"
rem adb shell su -c "ECHO #'--update_package=/sdcard/ipth_package.bin' >> /cache/recovery/command"
adb reboot recovery
ECHO 
ECHO #You will NEED to do a battery pull AFTER the update is done
ECHO #(When its just the android guy with the exclamation point).
ECHO #Also please keep in mind that if you want GNM recovery
ECHO #you need to reflash it from the flash menu. You will also have
ECHO #to delete the ipth_update from your sdcard
pause
GOTO MENU